#include "Propietario2.h"
#include <string.h>

Propietario2::Propietario2(void)
{
	strcpy_s(nombre,"\0");
	strcpy_s(dni,"\0");
	ch.ponMatricula("\0");
	ch.ponModelo("\0");
	ch.ponColor("\0");
}


Propietario2::~Propietario2(void)
{
}

Propietario2::Propietario2(char miNombre[],char miDni[])
{
	strcpy_s(nombre,miNombre);
	strcpy_s(dni,miDni);
	ch.ponMatricula("\0");
	ch.ponModelo("\0");
	ch.ponColor("\0");
}

void Propietario2::ponNombre(char miNombre[])
{
	strcpy_s(nombre,miNombre);
}

char *Propietario2::dameNombre()
{
	return(nombre);
}

void Propietario2::ponDni(char miDni[])
{
	strcpy_s(dni,miDni);
}

char *Propietario2::dameDni()
{
	return(dni);
}

void Propietario2::ponCh(coche miCoche)
{
	ch=miCoche;
}
coche Propietario2::dameCh()
{
	return(ch);
}

coche *Propietario2::dameRefCoche()
{
	return(&ch);
}